summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-08-02 23:30:23 +0300
committerMart Raudsepp <leio@gentoo.org>2018-08-02 23:32:08 +0300
commitc597c700bc15368b2fb022c88e96f225959afa52 (patch)
tree315c3e4091a48c4b821e3523d3343f36489ebcca /gnome-extra
parentsys-apps/osinfo-db: bump to 20180720 (diff)
downloadgentoo-c597c700bc15368b2fb022c88e96f225959afa52.tar.gz
gentoo-c597c700bc15368b2fb022c88e96f225959afa52.tar.bz2
gentoo-c597c700bc15368b2fb022c88e96f225959afa52.zip
gnome-extra/zenity: bump to 3.28.1
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'gnome-extra')
-rw-r--r--gnome-extra/zenity/Manifest1
-rw-r--r--gnome-extra/zenity/zenity-3.28.1.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/gnome-extra/zenity/Manifest b/gnome-extra/zenity/Manifest
index a067a01fceb..5683bc01e0f 100644
--- a/gnome-extra/zenity/Manifest
+++ b/gnome-extra/zenity/Manifest
@@ -1 +1,2 @@
DIST zenity-3.24.0.tar.xz 1085124 BLAKE2B 2be50461c8575b5322319e3b35a9c833ae87f2e35abfdb27bed61dbead1b31dc31d551c8973634a7a0f0abc178ee6c7a4bb24377632df7d7fcaf77780f7fd4d6 SHA512 b24291166221cc2dabeabfeab7ca00ca63ff21c12a4eb327cd35ac43f485b8d4a858dd717df1b35b8bd3fd89d0bb235609855c6d349b76879b0f77b4fedd4dd9
+DIST zenity-3.28.1.tar.xz 4458404 BLAKE2B e2ae199ab51dffffbe4bf01b21bbff588a4f71328b385bdd92f3228c6971b248d50c8f890c818ae2496f595cd1609dcb9f372bff13f3dfb653d179108074bdd2 SHA512 07cfef3dc17b3d321e6abfb15c7d035caad7c2cba938263920c503e67d35e9a1dc86b48255334e50b58f6998eb4c064cc24ebd71d02f278b21b568500daae0c0
diff --git a/gnome-extra/zenity/zenity-3.28.1.ebuild b/gnome-extra/zenity/zenity-3.28.1.ebuild
new file mode 100644
index 00000000000..b22c4741cf1
--- /dev/null
+++ b/gnome-extra/zenity/zenity-3.28.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="Tool to display dialogs from the commandline and shell scripts"
+HOMEPAGE="https://wiki.gnome.org/Projects/Zenity"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="debug libnotify webkit"
+
+# TODO: X11 dependency is automagically enabled
+RDEPEND="
+ >=dev-libs/glib-2.8:2
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3:3[X]
+ x11-libs/libX11
+ x11-libs/pango
+ libnotify? ( >=x11-libs/libnotify-0.6.1:= )
+ webkit? ( >=net-libs/webkit-gtk-2.8.1:4 )
+"
+DEPEND="${RDEPEND}
+ app-text/yelp-tools
+ gnome-base/gnome-common
+ >=sys-devel/gettext-0.19.4
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure \
+ $(usex debug --enable-debug=yes ' ') \
+ $(use_enable libnotify) \
+ $(use_enable webkit webkitgtk) \
+ PERL=$(type -P false)
+}
+
+src_install() {
+ gnome2_src_install
+
+ # Not really needed and prevent us from needing perl
+ rm "${ED}/usr/bin/gdialog" || die "rm gdialog failed!"
+}